gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.MenuComboToolbar.MenuBar

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A subclass widget for `MenuShell` which holds `MenuItem` widgets

Synopsis

- data MenuBar
- class MenuShellClass o => MenuBarClass o
- castToMenuBar :: GObjectClass obj => obj -> MenuBar
- gTypeMenuBar :: GType
- toMenuBar :: MenuBarClass o => o -> MenuBar
- data PackDirection
  - = PackDirectionLtr
  - | PackDirectionRtl
  - | PackDirectionTtb
  - | PackDirectionBtt
- menuBarNew :: IO MenuBar
- menuBarSetPackDirection :: MenuBarClass self => self -> PackDirection -> IO ()
- menuBarGetPackDirection :: MenuBarClass self => self -> IO PackDirection
- menuBarSetChildPackDirection :: MenuBarClass self => self -> PackDirection -> IO ()
- menuBarGetChildPackDirection :: MenuBarClass self => self -> IO PackDirection
- menuBarPackDirection :: MenuBarClass self => Attr self PackDirection
- menuBarChildPackDirection :: MenuBarClass self => Attr self PackDirection

# Detail

The `MenuBar` is a subclass of `MenuShell` which contains one to many `MenuItem`. The result is a standard menu bar which can hold many menu items.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----MenuShell
     | +----MenuBar

# Types

data MenuBar

Instances

Eq MenuBar |
Ord MenuBar |
GObjectClass MenuBar |
MenuBarClass MenuBar |
MenuShellClass MenuBar |
ContainerClass MenuBar |
WidgetClass MenuBar |
ObjectClass MenuBar |

class MenuShellClass o => MenuBarClass o

Instances

MenuBarClass MenuBar |

castToMenuBar :: GObjectClass obj => obj -> MenuBar

gTypeMenuBar :: GType

toMenuBar :: MenuBarClass o => o -> MenuBar

data PackDirection

Determines how to pack a menu bar: left-to-right, right-to-left, top-to-bottom or bottom-to-top.

Constructors

PackDirectionLtr |
PackDirectionRtl |
PackDirectionTtb |
PackDirectionBtt |

Instances

Enum PackDirection |

# Constructors

menuBarNew :: IO MenuBar

Creates the new `MenuBar`

# Methods

menuBarSetPackDirection

Arguments

:: MenuBarClass self |
=> self |
-> PackDirection | `packDir` - a new `PackDirection`.
-> IO () |

Sets how items should be packed inside a menubar.

- Available since Gtk+ version 2.8

menuBarGetPackDirection

Arguments

:: MenuBarClass self |
=> self |
-> IO PackDirection | returns the pack direction

Retrieves the current pack direction of the menubar. See `menuBarSetPackDirection`.

- Available since Gtk+ version 2.8

menuBarSetChildPackDirection

Arguments

:: MenuBarClass self |
=> self |
-> PackDirection | `childPackDir` - a new `PackDirection`.
-> IO () |

Sets how widgets should be packed inside the children of a menubar.

- Available since Gtk+ version 2.8

menuBarGetChildPackDirection

Arguments

:: MenuBarClass self |
=> self |
-> IO PackDirection | returns the child pack direction

Retrieves the current child pack direction of the menubar. See `menuBarSetChildPackDirection`.

- Available since Gtk+ version 2.8

# Attributes

menuBarPackDirection :: MenuBarClass self => Attr self PackDirection

The pack direction of the menubar. It determines how menuitems are arranged in the menubar.

Default value: `PackDirectionLtr`

menuBarChildPackDirection :: MenuBarClass self => Attr self PackDirection

The pack direction of the menubar. It determines how the widgets contained in child menuitems are arranged.

Default value: `PackDirectionLtr`